X Window Shape Functions
Ecore » Ecore_X - X11 Integration

These functions use the shape extension of the X server to change shape of given windows. More...

## Functions

void | ecore_x_window_shape_mask_set (Ecore_X_Window win, Ecore_X_Pixmap mask)
| Sets the shape of the given window to that given by the pixmap `mask`.
void | ecore_x_window_shape_input_mask_set (Ecore_X_Window win, Ecore_X_Pixmap mask)
| Sets the input shape of the given window to that given by the pixmap `mask`.

## Detailed Description

These functions use the shape extension of the X server to change shape of given windows.

## Function Documentation

## ecore_x_window_shape_mask_set()

void ecore_x_window_shape_mask_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Pixmap | mask )

Sets the shape of the given window to that given by the pixmap `mask`.

Parameters

  win | The given window.
  mask | A 2-bit depth pixmap that provides the new shape of the window.

References ecore_x_sync().

## ecore_x_window_shape_input_mask_set()

void ecore_x_window_shape_input_mask_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Pixmap | mask )

Sets the input shape of the given window to that given by the pixmap `mask`.

Parameters

  win | The given window.
  mask | A 1-bit depth pixmap that provides the new input shape of the window.

References ecore_x_sync().